package fr.uha.gabalier.view;

import fr.uha.gabalier.controller.Controller;

import javax.swing.*;

public class View<T> extends JPanel {

    private final T model;
    private Controller controller;

    protected View(T model) {
        this.model = model;
    }

    protected T getModel() {
        return model;
    }

    protected Controller getController() {
        return controller;
    }

    protected void setController(Controller controller) {
        this.controller = controller;
    }
}
